关于 Xcode 6.2 的安全性内容

本文介绍了 Xcode 6.2 的安全性内容。

为保护我们的客户,在未进行详尽调查并推出必要的修补程序或发行版之前,Apple 不会公开、讨论或确认安全性问题。要了解有关 Apple 产品安全性的更多信息,请参阅“Apple 产品安全性”网站。

有关 Apple 产品安全性 PGP 密钥的信息,请参阅“如何使用 Apple 产品安全性 PGP 密钥”。

如果可能,请使用 CVE ID 来查阅漏洞的详细信息。

要了解有关其他安全性更新的信息,请参阅“Apple 安全性更新”。

Xcode 6.2

  • subversion

    适用于:OS X Mavericks v10.9.4 或更高版本

    影响:Apache Subversion 中存在多个漏洞

    说明:Apache Subversion 中已存在多个漏洞,其中最严重的漏洞可能已经允许拥有特权地位的攻击者通过制作的证书来伪装 SSL 服务器。这些问题已通过将 Apache Subversion 更新至 1.7.19 版得到解决。

    CVE-ID

    CVE-2014-3522

    CVE-2014-3528

    CVE-2014-3580

    CVE-2014-8108

  • Git

    适用于:OS X Mavericks v10.9.4 或更高版本

    影响:与恶意 git 库同步可能会允许异常文件被添加到 .git 文件夹

    说明:不允许路径中涉及的检查不会检查以下情况:不区分大小写或 unicode 字符。此问题已通过添加额外的检查得到解决。

    CVE-ID

    CVE-2014-9390:Mercurial 的 Matt Mackall 和 Mercurial 的 Augie Fackler

有关非 Apple 制造的产品或非 Apple 控制或测试的独立网站的信息仅供参考,不代表 Apple 的任何建议或保证。Apple 对于第三方网站或产品的选择、性能或使用不承担任何责任。Apple 对于第三方网站的准确性和可靠性不作任何担保。互联网的使用具有一定风险。请联系供应商以了解其他信息。其他公司和产品名称可能是其各自所有公司的商标。

发布日期: